<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.util.CellRangeAddressBase (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.util.CellRangeAddressBase (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
               title="class in org.apache.poi.ss.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/util/class-use/CellRangeAddressBase.html"
               target="_top">Frames</a></li>
        <li><a href="CellRangeAddressBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.util.CellRangeAddressBase" class="title">Uses of Class<br>org.apache.poi.ss.util.CellRangeAddressBase
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.util">org.apache.poi.hssf.util</a></td>
                    <td class="colLast">
                        <div class="block">util package contains tools needed for writing HSSF files that are not
                            necesarily "real"
                            HSSF concepts.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.util">org.apache.poi.ss.util</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.HSSFSeries.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getCategoryLabelsCellRange--">getCategoryLabelsCellRange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.HSSFSeries.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#getValuesCellRange--">getValuesCellRange</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.HSSFSeries.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#setCategoryLabelsCellRange-org.apache.poi.ss.util.CellRangeAddressBase-">setCategoryLabelsCellRange</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFChart.HSSFSeries.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFChart.HSSFSeries.html#setValuesCellRange-org.apache.poi.ss.util.CellRangeAddressBase-">setValuesCellRange</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;range)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                            href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                                href="../../../../../../org/apache/poi/hssf/util/package-summary.html">org.apache.poi.hssf.util</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
                                    title="class in org.apache.poi.hssf.util">CellRangeAddress8Bit</a></span></code>
                                <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                                    Address'
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationEvaluator.DataValidationContext.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.DataValidationContext.html#getRegion--">getRegion</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#adjustRegionRelativeReference-org.apache.poi.ss.formula.ptg.Ptg:A-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellRangeAddressBase-">adjustRegionRelativeReference</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;target,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;region)</code>
                                <div class="block">Adjust formula relative references by the offset between the start of
                                    the given region and the given target cell.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#evaluate-java.lang.String-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellRangeAddressBase-">evaluate</a></span>(java.lang.String&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;target,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;region)</code>
                                <div class="block">Some expressions need to be evaluated in terms of an offset from the
                                    top left corner of a region,
                                    such as some data validation and conditional format expressions, when those
                                    constraints apply
                                    to contiguous cells.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                    title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">WorkbookEvaluator.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#evaluateList-java.lang.String-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.util.CellRangeAddressBase-">evaluateList</a></span>(java.lang.String&nbsp;formula,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;target,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;region)</code>
                                <div class="block">Some expressions need to be evaluated in terms of an offset from the
                                    top left corner of a region,
                                    such as some data validation and conditional format expressions, when those
                                    constraints apply
                                    to contiguous cells.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.DataValidationContext.html#DataValidationContext-org.apache.poi.ss.usermodel.DataValidation-org.apache.poi.ss.formula.DataValidationEvaluator-org.apache.poi.ss.util.CellRangeAddressBase-org.apache.poi.ss.util.CellReference-">DataValidationContext</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a>&nbsp;dv,
                                <a href="../../../../../../org/apache/poi/ss/formula/DataValidationEvaluator.html"
                                   title="class in org.apache.poi.ss.formula">DataValidationEvaluator</a>&nbsp;dve,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;region,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;target)</code>
                                <div class="block">Populate the context with the necessary values.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TableStyleType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#appliesTo-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.usermodel.Cell-">appliesTo</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Table.html"
                                    title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                   title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block">A range is returned only for the part of the table matching this enum
                                    instance and containing the given cell.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TableStyleType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#appliesTo-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-">appliesTo</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Table.html"
                                    title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</code>
                                <div class="block">A range is returned only for the part of the table matching this enum
                                    instance and containing the given cell reference.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TableStyleType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.usermodel.Cell-">getRange</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Table.html"
                                    title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                   title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                <div class="block">Calls <a
                                        href="../../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-"><code>TableStyleType.getRange(Table,
                                    CellReference)</code></a>.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TableStyleType.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/TableStyleType.html#getRange-org.apache.poi.ss.usermodel.Table-org.apache.poi.ss.util.CellReference-">getRange</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/Table.html"
                                    title="interface in org.apache.poi.ss.usermodel">Table</a>&nbsp;table,
                                <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                   title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                            href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a> in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a></span></code>
                                <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range
                                    Address'
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/util/package-summary.html">org.apache.poi.ss.util</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">CellRangeAddressBase.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-">intersects</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressBase</a>&nbsp;other)</code>
                                <div class="block">Determines whether or not this CellRangeAddress and the specified
                                    CellRangeAddress intersect.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
               title="class in org.apache.poi.ss.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/util/class-use/CellRangeAddressBase.html"
               target="_top">Frames</a></li>
        <li><a href="CellRangeAddressBase.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
